// MyCamera.h : Header File
//

#pragma once

#include "CameraFactory.h"
#include "ErrorLookupDP.h"

class CMyCamera
{
public:
	CMyCamera();
	~CMyCamera();

	BOOL GetCameraList(char **ppCameraList);
	BOOL CreateCamera(char *pszCameraID);
	BOOL InitializeCamera();
	BOOL StartMovie(BYTE *pbMovieImageData);
	BOOL StopMovie();
	BOOL CaptureImage(BYTE *pbSIAImageData);
	BOOL GetLastError(char* szDescription);

	CAM_OBJECT *m_pCameraObject;
	BOOL m_bCreateCameraFlag;
};
